org.apache.sling.hc.api

## Class ResultLog.Entry

- java.lang.Object
- - org.apache.sling.hc.api.ResultLog.Entry

Enclosing class:
  ResultLog

    public static class ResultLog.Entry
    extends Object

An entry in this log

### Constructor Summary

Constructors
Constructor and Description
`Entry(Result.Status s, String message)`
`Entry(Result.Status s, String message, Exception exception)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Exception` `getException()`
`String` `getMessage()`
`Result.Status` `getStatus()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Entry

    public Entry(Result.Status s,
                 String message)

#### Entry

    public Entry(Result.Status s,
                 String message,
                 Exception exception)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getStatus

    public Result.Status getStatus()

#### getMessage

    public String getMessage()

#### getException

    public Exception getException()